Subject: kangaroo embriology

From: [email-masked] (Jerry)
Date: Sun, 19 Dec 1993 10:05:23 UTC

no reply
Where do they study that, in Australia?
-------------------------------------------------------------------------
To find out more about the anon service, send mail to [email-masked].
Due to the double-blind, any mail replies to this message will be anonymized,
and an anonymous id will be allocated automatically. You have been warned.
Please report any problems, inappropriate use etc. to [email-masked].